package com.emato.cus.supervise.service.omsshop.impl;

import com.emato.cus.supervise.domain.WmsAcqGoodsOnSeat;
import com.emato.cus.supervise.domainOmsShop.OmsShopAcqGoodsSeat;
import com.emato.cus.supervise.mapper.WmsAcqGoodsSeatMapper;
import com.emato.cus.supervise.mapperOmsShop.OmsShopAcqGoodsSeatMapper;
import com.emato.cus.supervise.service.omsshop.OmsShopAcqGoodsSeatService;
import com.emato.cus.supervise.service.wms.WmsAcqGoodsOnSeatService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 门店在库库存 Oms 门店
 * @author Scott Chen
 * @version 1.0
 * 2020-03-30 11:27
 */
@Service
public class OmsShopAcqGoodsOnSeatServiceImpl implements OmsShopAcqGoodsSeatService {

    @Autowired
    private OmsShopAcqGoodsSeatMapper omsShopAcqGoodsSeatMapper;

    @Override
    @Transactional(value ="thirdTransactionManager")
    public List<OmsShopAcqGoodsSeat> getOmsShopAcqGoodsSeat(Map<String, Object> param) {
        return omsShopAcqGoodsSeatMapper.getOmsShopAcqGoodsSeat(param);
    }
}
